Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Pamela Geiss" <[email-masked]>
Date: Mon, 28 Jul 2014 09:37:16 -0400

Hello.
We have noted on the account that you had emailed in wanting to return an order.  We have not yet received that order back to issue the refund.  Please check the tracking on the package to determine the delivery date.
Thank you,
LLPS

From: LLPS 
Sent: Friday, July 25, 2014 6:40 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Pamela Geiss

Company: First Priority Financial

E-mail Address: [email-masked]

Telephone: Not specified

Message: I received a shipment of posters addressed to Sharon Duncan who left
our employee over one year ago. After calling Customer Service, I was
instructed to return the shipment for a full refund. I am awaiting
the refund. 
Please advise. 
Thank you, 
Pamela Geiss

Request generated on July 25th, 2014 at 6:40 PM EST from the IP address 12.252.199.118